unit Demo;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, System.Math,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.TMSFNCTypes, FMX.TMSFNCUtils, FMX.TMSFNCGraphics,
  FMX.TMSFNCGraphicsTypes, FMX.TMSFNCCustomControl, FMX.TMSFNCCalendar;

type
  TForm4 = class(TForm)
    TMSFNCCalendar1: TTMSFNCCalendar;
    procedure TMSFNCCalendar1AfterDrawDayNumbers(Sender: TObject; AGraphics:
        TTMSFNCGraphics; ARect: TRectF; ADate: TDate);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form4: TForm4;

implementation

{$R *.fmx}

procedure TForm4.TMSFNCCalendar1AfterDrawDayNumbers(Sender: TObject; AGraphics:
    TTMSFNCGraphics; ARect: TRectF; ADate: TDate);
var
  RandomIndex: Integer;
const
  Colors: array [1 .. 3] of Integer = (gcRed, gcGreen, gcOrange);
begin
  RandomIndex := RandomRange(1,4);
  AGraphics.Fill.Color := Colors[RandomIndex];
  AGraphics.Fill.Kind := gfkSolid;
  AGraphics.DrawEllipse(ARect);

end;

end.
